object DataModule1: TDataModule1
  OldCreateOrder = False
  OnCreate = DataModuleCreate
  OnDestroy = DataModuleDestroy
  Height = 459
  Width = 674
  object MyConn: TMyConnection
    Database = 'address_book'
    Options.UseUnicode = True
    Options.Embedded = True
    Embedded = True
    Username = 'root'
    Password = 'jcncyfkegbcr9144'
    Server = '127.0.0.1'
    Left = 16
    Top = 128
  end
  object RTQuery: TMyQuery
    Connection = MyConn
    Left = 96
    Top = 56
  end
  object PBGridQuery: TMyQuery
    Connection = MyConn
    SQL.Strings = (
      
        'SELECT t2.dep_name as `'#1042#1099#1096#1077#1089#1090#1086#1103#1097#1080#1081' '#1086#1073#1098#1077#1082#1090'`, t1.empl_post as `'#1044#1086#1083 +
        #1078#1085#1086#1089#1090#1100'`, CONCAT(empl_fname ,'#39' '#39', empl_lfname ,'#39' '#39', empl_lname,'#39' ' +
        #39') AS `'#1060#1048#1054'`, empl_phone as `'#1052#1086#1073#1080#1083#1100#1085#1099#1081' '#1090#1077#1083'.`, empl_fax as `'#1060#1072#1082#1089'`,' +
        ' empl_int_phone as `'#1042#1085#1091#1090#1088#1077#1085#1085#1080#1081' '#1090#1077#1083'.`, empl_city_te_number as `'#1053#1086 +
        #1084#1077#1088' '#1043#1040#1058#1057'`, empl_addr as `'#1040#1076#1088#1077#1089'`, empl_room as `'#1050#1072#1073'.`, t2.id_dep,' +
        ' t1.id_empl FROM empl_list t1 left join dep_list t2 on t1.id_dep' +
        '=t2.id_dep ORDER BY t2.dep_name')
    Left = 96
    Top = 120
  end
  object AccGridQuery: TMyQuery
    Connection = MyConn
    Left = 96
    Top = 184
  end
  object PBGridSrc: TMyDataSource
    DataSet = PBGridQuery
    Left = 184
    Top = 120
  end
  object AccGridSrc: TMyDataSource
    DataSet = AccGridQuery
    Left = 184
    Top = 184
  end
  object RTQuery1: TMyQuery
    Connection = MyConn
    Left = 96
    Top = 8
  end
  object RecursiveQuery: TMyQuery
    Connection = MyConn
    Left = 96
    Top = 248
  end
  object RecursiveSource: TMyDataSource
    DataSet = RecursiveQuery
    Left = 184
    Top = 248
  end
end
